Subject: Re: (osx 10.4.11) can't push from linux to Apache on mac: can't access location

From: Jakub Narebski <[email-masked]>
Date: Sun, 13 Jun 2010 05:38:06 -0700 (PDT)

ddw_music <[email-masked]> writes:
> Jakub Narebski wrote:
> > 
> > Why can't you use SSH for pushing instead of "dumb" HTTPS via WebDAV?
> > This would require having sshd (SSH daemon, i.e. SSH server) installed,
> > and perhaps Gitosis or Gitolite for access control (so one can use only
> > single shell account).
> > 
> 
> I'll consider that later on. For the moment -- I spent probably five or six
> hours today and fiddling around with the configuration, and I don't have
> time to look at any other tools (gitosis etc). (At least osx comes with
> "Remote Login" == sshd preinstalled.)

Gitosis / Gitolite would be needed only if there are many people that
you want to have SSH access to git repositories without giving them
all shell access...

> 
> While experimenting with git-daemon this morning, I did get the
> functionality that I need working by enabling receive-pack. Yes, I know
> that's a security risk, but I'm the only user, behind a hardware router (no
> exposed IP address) and I will have the daemon running only for a few
> minutes at a time when needed for sync.
> 
> I realize this isn't the "correct" or "optimal" configuration, but I know
> that it will work for the moment and, as stated, I simply won't have any
> further time for experimentation for the next few weeks.

...but in your situation it would be anough to have on server (i.e. on
computer you want to push to) to have sshd and git installed, and have
sshd enabled (turned on) and git available in your $PATH on server.

Then

  git push <user>@<host>:/path/to/repo.git <branch>

should work (or you can configure remote).

-- 
Jakub Narebski
Poland
ShadeHawk on #git